-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 1 of the Navigator schema for Oracle.
--

-- The schema version, should be checked by the server during startup
CREATE TABLE GOV_SCHEMA_VERSION (
    VERSION number(4, 0) NOT NULL
);

insert into GOV_SCHEMA_VERSION values (1);

create table HDFS_AUDIT_EVENTS (
  ID           number(19,0) not null,
  SERVICE_NAME varchar2(255 char) not null,
  USERNAME     varchar2(255 char) not null,
  IP_ADDR      varchar2(255 char) not null,
  EVENT_TIME   number(19,0) not null,
  OPERATION    varchar2(255 char) not null,
  SRC          varchar2(1024 char) not null,
  DEST         varchar2(1024 char),
  PERMISSIONS  varchar2(1024 char),
  primary key (ID)
);

CREATE INDEX IDX_HDFS_EVENT_TIME ON HDFS_AUDIT_EVENTS (EVENT_TIME);

CREATE SEQUENCE HDFS_AUDIT_EVENTS_SEQUENCE
  START WITH 1
  NOMAXVALUE;

create table HBASE_AUDIT_EVENTS (
  ID            number(19,0) not null,
  SERVICE_NAME  varchar2(255 char) not null,
  ALLOWED       number(1,0) not null,
  USERNAME      varchar2(255 char) not null,
  EVENT_TIME    number(19,0) not null,
  TABLE_NAME    varchar2(1024 char),
  FAMILY        varchar2(1024 char),
  QUALIFIER     varchar2(1024 char),
  OPERATION     varchar2(1024 char),
  primary key (ID)
);

CREATE INDEX IDX_HBASE_EVENT_TIME ON HBASE_AUDIT_EVENTS (EVENT_TIME);

CREATE SEQUENCE HBASE_AUDIT_EVENTS_SEQUENCE
  START WITH 1
  NOMAXVALUE;
