// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.

define("json!/cmf/resources/healthChecks/shortNameTranslations.json",function(){return{DATA_NODE_HOST_HEALTH:"test.data.node.host.health"}}),define(["cloudera/health/spec/HealthTestUtil","cloudera/health/HealthHistory","cloudera/chart/TimeRange","knockout","underscore"],function(e,t,n,r,i){describe("HealthHistory",function(){var e=null,n;beforeEach(function(){jasmine.Ajax.useMock(),e={id:"hhId",eventSearchUrl:"eventSearchUrl",startTime:new Date(20),endTime:new Date(2e3)},n=new t(e)}),afterEach(function(){n.unsubscribe()}),it("defines itself correctly",function(){expect(n.id).toEqual(e.id),expect(n.eventSearchUrl).toEqual(e.eventSearchUrl),expect(n.viewModel).toBeDefined()}),it("gets new events when the TC updates",function(){var e=spyOn(n,"onMarkerDateChanged");n.applyBindings(),$.publish("markerDateChanged",[new Date]),expect(e).wasCalled()}),it("sets query options on marker date changed",function(){n.viewModel.query={},spyOn(n.viewModel,"getEvents"),n.onMarkerDateChanged(new Date(1984)),expect(n.viewModel.query.endTime).toEqual(new Date(1984)),expect(n.viewModel.query.offset).toEqual(0),expect(n.viewModel.query.limit).toEqual(20),expect(n.viewModel.getEvents).wasCalled()}),describe("event search query options",function(){var r=function(e){expect(e.propertyName).toEqual("CATEGORY"),expect(e.compareType).toEqual("EQ_WITH_OR"),expect(e.values).toEqual(["HEALTH_CHECK"])},s=function(e,t,n){expect(e.propertyName).toEqual(t),expect(e.compareType).toEqual("EQ_WITH_OR"),expect(e.values).toEqual([n])},o=function(e,t){expect(e.propertyName).toEqual("EVENTCODE"),expect(e.compareType).toEqual("EQ_WITH_OR"),expect(e.values.length).toEqual(5);var n="_"+t.toUpperCase()+"_HEALTH_CHECK_";i.each(e.values,function(e){expect(e.indexOf(n)!==-1).toBeTruthy()})};it("works when service is set",function(){e.service="service",n=new t(e);var i=n.viewModel;expect(i.query.filters.length).toEqual(3),r(i.query.filters[0]),s(i.query.filters[1],"SERVICE",e.service),o(i.query.filters[2],"SERVICE")}),it("works when role is set",function(){e.role="role",n=new t(e);var i=n.viewModel;expect(i.query.filters.length).toEqual(3),r(i.query.filters[0]),s(i.query.filters[1],"ROLE",e.role),o(i.query.filters[2],"ROLE")}),it("works when host is set",function(){e.host="host",n=new t(e);var i=n.viewModel;expect(i.query.filters.length).toEqual(3),r(i.query.filters[0]),s(i.query.filters[1],"HOSTS",e.host),o(i.query.filters[2],"HOST")})}),it("only applies bindings when applyBindings is called",function(){spyOn(r,"applyBindings"),n.applyBindings(),expect(r.applyBindings).wasCalled()})}),describe("HealthHistoryViewModel",function(){var n=t.HealthHistoryViewModel,r,s;beforeEach(function(){jasmine.Ajax.useMock(),r=i.map(i.range(10),e.makeFakeHealthEvent),s={eventSearchUrl:"/path/to/event/search",filters:[],endTime:new Date(2e3)}}),it("exists",function(){expect(n).toBeDefined()}),it("sets good defaults for the event search query",function(){var e=new n(s);expect(e.query.startTime).toEqual(new Date(0)),expect(e.query.endTime).toEqual(s.endTime),expect(e.query.offset).toEqual(0),expect(e.query.limit).toEqual(20)}),it("makes an events array based on server response",function(){var e=new n(s);expect(e.events().length).toEqual(0),e.onDataReceived(r),expect(e.events().length).toEqual(10)}),it("updates events from the server correctly",function(){r=i.map(i.range(5,15),e.makeFakeHealthEvent);var t=new n(s);t.onDataReceived(r),expect(t.events()[0].id).toEqual(r[0].attributes.__uuid[0]);var o=i.map(i.range(0,10),e.makeFakeHealthEvent);t.onDataReceived(o),expect(t.events().length).toEqual(10),i.each(i.range(10),function(e){expect(t.events()[e].id).toEqual(o[e].attributes.__uuid[0])})}),it("discards new events when timerange is smaller than previous",function(){r=i.map(i.range(0,10),e.makeFakeHealthEvent);var t=new n(s);t.onDataReceived(r),expect(t.events()[0].id).toEqual(r[0].attributes.__uuid[0]);var o=i.map(i.range(3,7),e.makeFakeHealthEvent);t.onDataReceived(o,new Date(o[3].timestamp),new Date(o[0].timestamp)),expect(t.events().length).toEqual(4),i.each(t.events(),function(e,t){expect(e.id).toEqual(o[t].attributes.__uuid[0])})}),it("aborts in-flight queries when asked to get events again",function(){var e=new n(s);spyOn(e.query,"isInflight").andReturn(!0),spyOn(e.query,"abort"),e.getEvents(),expect(e.query.abort).wasCalled()}),it("sets loading correctly as requests are made and completed",function(){var e=new n(s);e.getEvents(),expect(e.loading()).toBeTruthy();var t=mostRecentAjaxRequest();t.response({status:200,responseText:""}),expect(e.loading()).toBeFalsy()}),it("sets error correctly when errors received from server",function(){var e=new n(s);e.getEvents();var t=e.errors();expect(t.length).toEqual(0);var r=mostRecentAjaxRequest();r.response({status:200,responseText:JSON.stringify({errors:["Connection refused"]})}),t=e.errors(),expect(t.length).toEqual(1),expect(t[0]).toEqual("Connection refused")}),it("sets error correctly when 500 received from server",function(){var e=new n(s);spyOn(e,"onDataReceived"),e.getEvents();var t=e.errors();expect(t.length).toEqual(0);var r=mostRecentAjaxRequest();r.response({status:500,responseText:null}),t=e.errors(),expect(t.length).toEqual(1),expect(t[0]).toEqual("ui.healthHistoryError"),expect(e.onDataReceived).wasNotCalled()}),describe("HealthEvent property additions",function(){var t,o;beforeEach(function(){r=i.map(i.range(10),e.makeFakeHealthEvent),i.each(r,function(e){e.attributes.GOOD_TEST_RESULTS=[1],e.attributes.BAD_TEST_RESULTS=[2],e.attributes.CONCERNING_TEST_RESULTS=[3],e.attributes.DISABLED_TEST_RESULTS=[4],e.attributes.UNKNOWN_TEST_RESULTS=[5]}),o=new n(s),o.onDataReceived(r),t=o.events()[0]}),it("has formattedTimestamp",function(){expect(t.formattedTimestamp).toBeDefined()}),it("appends seconds if the previous event was within 60 seconds",function(){var t=10,s=0,u=0,a,f;r=i.map(i.range(t),e.makeFakeHealthEvent),f=r[0].timestamp,i.each(r,function(e){e.attributes.GOOD_TEST_RESULTS=[1],e.attributes.BAD_TEST_RESULTS=[2],e.attributes.CONCERNING_TEST_RESULTS=[3],e.attributes.DISABLED_TEST_RESULTS=[4],e.attributes.UNKNOWN_TEST_RESULTS=[5],s++<4&&(e.timestamp=f,f-=5e4)}),o=new n(r),a=o.events(),i.each(a,function(e){expect(e.formattedTimestamp).toMatch(u++>=4?/(?:^| )\d{1,2}:\d{1,2} (?:A|P)M$/:/(?:^| )(?:\d{1,2}:){2}\d{1,2} (?:A|P)M$/)})}),it("tracks expansion and toggles",function(){expect(t.expanded()).toBeFalsy(),t.toggleExpansion(),expect(t.expanded()).toBeTruthy()}),it("formats health text using I18n",function(){expect(t.healthText).toEqual("ui.health.bad")}),it("has formatted status counts by status",function(){var e=t.formattedStatusCounts;expect(e.good).toEqual("health.changes.green"),expect(e.bad).toEqual("health.changes.red"),expect(e.concerning).toEqual("health.changes.yellow"),expect(e.disabled).toEqual("health.changes.disabled"),expect(e.unknown).toEqual("health.changes.not_avail")}),it("breaks out health tests results as custom objects",function(){expect(t.healthTests).toBeDefined(),expect(t.healthTests.length).toEqual(1);var e=t.healthTests[0];expect(e.shortName).toEqual("test.data.node.host.health"),expect(e.status).toEqual("concerning"),expect(e.content).toEqual("The health test result for DATA_NODE_HOST_HEALTH has become concerning: The health of this role's host is concerning.  The following health checks are concerning: agent status.")}),it("animates the marker when clicking the show event link",function(){spyOn($,"publish"),t.showEvent(),expect($.publish).wasCalled();var e=$.publish.mostRecentCall.args;expect(e[0]).toEqual("changeMarkerTime"),expect(e[1][0]).toEqual(new Date(t.timestamp)),expect(e[1][1]).toEqual(!0)})})})})